Creates an AI hosting profile and accepts the current model terms
POST/v2/ customers/ {customerId}/ ai-hostings/
API version
v2
Request method
POST
Operation ID
ai-hosting-customer-declare-profile
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/ai-hostings
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingCustomerDeclareProfile({
"customerId": "string"
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingCustomerDeclareProfile\AiHostingCustomerDeclareProfileRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new AiHostingCustomerDeclareProfileRequest(
customerId: "string"
));
$response = $client->aiHosting()->aiHostingCustomerDeclareProfile($request);
var_dump($response->getBody();